SP-API Updates: Simplified Authorization for Service Providers, External Fulfillment Sandbox Changes, and Multi-Invoice Support Changes for the Brazil Amazon Store

This week's SP-API updates include a simplified authorization flow for Service Providers, External Fulfillment API sandbox environment transition from static hardcoded responses to fully dynamic responses, and updates to getInvoiceStatusoperation for multi-invoice support for Brazil (BR) Amazon Store.

New simplified authorization flow for service providers

Starting August 19, 2026, a simplified Seller Central authorization experience makes it easier for sellers to grant your service access to their accounts. Sellers can now grant permissions in just three steps, scoped directly to the services you're qualified for.

Sellers can authorize your service through three methods:

  • Authorization link: From your Solution Provider Portal (SPP) account, generate your unique authorization link and share it directly with any seller you work with. When a seller uses your link, they'll have access to a consent page where they can select the roles that they want to grant and authorize.
  • Authorize button on Service Provider Network (SPN): If you have an active SPN listing, sellers browsing your detail page can now select Authorize Provider to take them through the same consent flow.
  • Manage service requests dashboard: If you have an existing SPN request, sellers can go to the Manage Service Requests dashboard and select Authorize Provider for that request.

📘

Note

For authorizations through your SPN listing, you must confirm the order status for your authorization to become active.

Which Amazon stores are affected?

This change applies to all marketplaces.

Who is affected?

Third-party service providers listed on the Service Provider Network (SPN) or registered in the Solution Provider Portal (SPP) are affected by this change.

What action is required?

To start using the authorization link:

  • Sign in to Solution Provider Portal .
  • Go to your services dashboard.
  • Select the Copy Authorization Link option from the action dropdown.
  • Share the link with sellers who need to grant you access.

❗️

Important

Roles are automatically scoped to your qualified service categories. If you need access to additional roles or categories, you must complete qualification for them first. If a seller authorizes through your SPN listing, you must confirm the order status for your authorization to become active.

For more information


External Fulfillment API sandbox transitions to dynamic responses

Starting September 1, 2026, the External Fulfillment API sandbox environment will transition from static hardcoded responses to fully dynamic responses, enabling developers to create orders of different types and test end-to-end order processing for programs like Seller Flex and Easy Ship. Previously, developers received fixed responses that limited their ability to validate real-world scenarios. With this update, developers can dynamically create test orders, simulate varied fulfillment workflows, and identify edge cases across order processing.

Which Amazon Stores are affected?

This change applies to all Amazon stores.

Who is affected?

Developers with applications that utilize the External Fulfillment sandbox environment for Easy Ship and Seller Flex programs are affected by this change.

What action is required?

If you have an application that is affected by this change, be sure to:

  • Create a location via POST Location API to generate a unique location ID for each program you want to test.
  • Create shipments via POST Shipments API to create different order types (Single SKU, Multi SKU, Single/Multiple Quantity, Multi Piece Shipments, Cross Border Orders, etc.) for the relevant program and drop those orders at the created location.
  • Process shipments using existing order processing APIs to complete the end-to-end workflow validation.

For more information

To learn more about program specific workflows of Order Processing, follow the External Fulfillment Shipping API and External Fulfillment Returns API documentation.


Updates to thegetInvoiceStatusoperation for multi-invoice support in the Brazil Amazon store

Starting September 30, 2026, the getInvoiceStatus operation (GET /delivery/2022-07-01/invoice/status) will be updated to support multiple invoices per order for the Brazil (BR) Amazon store. This is a governmental requirement, since Self Ship sellers can send multiple packages, each containing exactly one invoice.

Request changes

  • New optional query parameter invoiceIdallows querying the status of a specific invoice by its NF-e access key.
  • If multiple parameters are passed, the query priority is: amazonOrderId > amazonShipmentId > invoiceId. Only the highest-priority parameter will be used; the others will be ignored.

Response changes

  • A new orderInvoicingStatus field will be added, representing the aggregated status of all invoices for the order (enum values: Processing, Accepted, PartiallyAccepted, Rejected).
  • The existing invoiceStatus field will continue to be returned for backward compatibility.
  • A new invoices array field will be added, containing individual invoice objects with:
    • invoiceId NF-e access key
    • invoiceStatus enum: Processing, Accepted, Rejected

📘

Note

PartiallyAccepted applies only at the order level (orderInvoicingStatus) to indicate that some, but not all, invoices in the order were accepted.

  • Existing fields amazonOrderId and amazonShipmentId remain unchanged.

Which Amazon Stores are affected?

This change applies to the Brazil (BR) Amazon store.

Who is affected?

Developers with applications that call the getInvoiceStatus operation (GET /delivery/2022-07-01/invoice/status) in the Delivery Shipment Invoice API to retrieve invoice processing status for Self Ship or EasyShip orders in Brazil are affected by this change.

What action is required?

If you have an application that is affected by this change, be sure to:

  • Update your response parsing logic to use the new orderInvoicingStatus field for the overall order-level invoice status. The existing invoiceStatus field will continue to be returned, but orderInvoicingStatus provides a more accurate aggregated view across multiple invoices.
  • Handle the new invoices array in the response to consume granular per-invoice status information (invoiceId and invoiceStatus for each invoice).
  • (Optional) Use the new invoiceId query parameter if your application needs to query the status of a specific individual invoice.

For more information

To learn more about the Delivery Shipment Invoice API, refer to the getInvoiceStatus API reference .